﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            LeCroy WR104Xi: (1 yr) VER IEEE /5520A+SC1100,DMM
DATE:                  2017-02-02 06:13:18
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       277
CONFIGURATION:         Fluke 5520A (G1)
CONFIGURATION:         Digital Multimeter
=============================================================================
#
#  Procedure Author:
#        VY
#
#  Source(s):
#        Chapter 5 - WRXi Performance Verification Rev D.pdf
#        Chapter 5 - WRXi Performance Verification Test Record rev D.pdf
#
#  Compatibility:
#        MET/CAL 7.20 or later
#
#  Additional Equipment Required:
#        Cable, 50 Ohm, BNC(m)-(m)
#        BNC female to double stacking banana plug, Pomona 1269
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  5520         1000.1MH                     1Vpp           LS S6 S  L
  1.003  IEEE         [@DMM]
  1.004  ENDIF

  1.005  ASK-   R   Q N              P                            A        V

  1.006  CALL         Sub Display Copyright
  1.007  CALL         Sub High Voltage Safety Warning
  1.008  CALL         Sub Select Failed Test Mode
  1.009  CALL         Sub Select Verification Method (No NTHROW)

  1.010  DISP         Ensure a minimum UUT warm-up time of at least
  1.010  DISP         20 minutes has been allowed to elapse, prior
  1.010  DISP         to beginning verification.

  1.011  HEAD         PRELIMINARY INSTRUCTIONS
  1.012  CALL         Sub LeCroy WS-GPIB Connection
  1.013  CALL         Sub LeCroy WS-GPIB Setup
  1.014  CALL         Sub LeCroy WS-GPIB Initialization

  1.015  MATH         L[1] = ZCMPI(@Manufacturer, "LECROY")
  1.016  MATH         L[2] = ZCMPI(@ModelNum, "WR104Xi")

  1.017  IF           NOT(L[1]) || NOT(L[2])
  1.018  DISP         UUT is a [V @Manufacturer] [V @ModelNum],
  1.018  DISP         not a LeCroy WR104Xi!
  1.019  END
  1.020  ENDIF

  1.021  HEAD         EQUIPMENT REQUIREMENTS
  1.022  OPBR         -z Do you want to REVIEW the list of additional
  1.022  OPBR         equipment and/or accessories required?

  1.023  IF           MEM1
  1.024  DISP         The following additional equipment and/or
  1.024  DISP         accessories are required:
  1.024  DISP
  1.024  DISP         - Cable, 50 Ohm, BNC(m)-(m)
  1.024  DISP         - BNC female to double stacking banana plug, Pomona 1269
  1.025  ENDIF

# Set the system confidence level to 95%.
  1.026  MATH         @SysConf = 2
  1.027  MATH         @DevName = "Fluke 5520A"

  1.028  CALL         Sub LeCroy WRXi Set BW & Number of Channels

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SELF TEST                          SELF TEST
#    2.   CHANNEL INPUT IMPEDANCE(CH1)       PEAK-PEAK NOISE LEVEL(CH1)
#    3.   CHANNEL INPUT IMPEDANCE(CH2)       PEAK-PEAK NOISE LEVEL(CH2)
#    4.   CHANNEL INPUT IMPEDANCE(CH3)       PEAK-PEAK NOISE LEVEL(CH3)
#    5.   CHANNEL INPUT IMPEDANCE(CH4)       PEAK-PEAK NOISE LEVEL(CH4)
#    6.   EXTERNAL INPUT IMPEDANCE           LEAKAGE CURRENT(CH1)
#    7.   LEAKAGE CURRENT(CH1)               LEAKAGE CURRENT(CH2)
#    8.   LEAKAGE CURRENT(CH2)               LEAKAGE CURRENT(CH3)
#    9.   LEAKAGE CURRENT(CH3)               LEAKAGE CURRENT(CH4)
#   10.   LEAKAGE CURRENT(CH4)               EXTERNAL TRIGGER LEAKAGE CURRENT
#   11.   EXTERNAL TRIGGER LEAKAGE CURRENT   EXTERNAL INPUT IMPEDANCE
#   12.   PEAK-PEAK NOISE LEVEL(CH1)         CHANNEL INPUT IMPEDANCE(CH1)
#   13.   PEAK-PEAK NOISE LEVEL(CH2)         DC GAIN ACC(CH1)
#   14.   PEAK-PEAK NOISE LEVEL(CH3)         OFFSET ACC(CH1)
#   15.   PEAK-PEAK NOISE LEVEL(CH4)         BANDWIDTH(CH1)
#   16.   DC GAIN ACC(CH1)                   TRIGGER LEVEL(CH1)
#   17.   DC GAIN ACC(CH2)                   TIME BASE
#   18.   DC GAIN ACC(CH3)                   CHANNEL INPUT IMPEDANCE(CH2)
#   19.   DC GAIN ACC(CH4)                   DC GAIN ACC(CH2)
#   20.   OFFSET ACC(CH1)                    OFFSET ACC(CH2)
#   21.   OFFSET ACC(CH2)                    BANDWIDTH(CH2)
#   22.   OFFSET ACC(CH3)                    TRIGGER LEVEL(CH2)
#   23.   OFFSET ACC(CH4)                    CHANNEL INPUT IMPEDANCE(CH3)
#   24.   BANDWIDTH(CH1)                     DC GAIN ACC(CH3)
#   25.   BANDWIDTH(CH2)                     OFFSET ACC(CH3)
#   26.   BANDWIDTH(CH3)                     BANDWIDTH(CH3)
#   27.   BANDWIDTH(CH4)                     TRIGGER LEVEL(CH3)
#   28.   TRIGGER LEVEL(CH1)                 CHANNEL INPUT IMPEDANCE(CH4)
#   29.   TRIGGER LEVEL(CH2)                 DC GAIN ACC(CH4)
#   30.   TRIGGER LEVEL(CH3)                 OFFSET ACC(CH4)
#   31.   TRIGGER LEVEL(CH4)                 BANDWIDTH(CH4)
#   32.   TIME BASE                          TRIGGER LEVEL(CH4)

  1.029  CALL         Sub LeCroy WRXi Self-Test IEEE

  1.030  IF           @Abort
  1.031  END
  1.032  ENDIF

  1.033  JMPL         PEAK_PEAK_NOISE_LEVEL

  1.034  LABEL        CHANNEL_INPUT_IMPEDANCE_CH1
  1.035  MATH         @Chan = 1
  1.036  CALL         Sub LeCroy WRXi (1 yr) Chan In Impedance IEEE /5520+S6
  1.037  JMPL         DC_GAIN_ACC_CH1

  1.038  LABEL        CHANNEL_INPUT_IMPEDANCE_CH2
  1.039  MATH         @Chan = 2
  1.040  CALL         Sub LeCroy WRXi (1 yr) Chan In Impedance IEEE /5520+S6
  1.041  JMPL         DC_GAIN_ACC_CH2

  1.042  LABEL        CHANNEL_INPUT_IMPEDANCE_CH3
  1.043  MATH         @Chan = 3
  1.044  CALL         Sub LeCroy WRXi (1 yr) Chan In Impedance IEEE /5520+S6
  1.045  JMPL         DC_GAIN_ACC_CH3

  1.046  LABEL        CHANNEL_INPUT_IMPEDANCE_CH4
  1.047  MATH         @Chan = 4
  1.048  CALL         Sub LeCroy WRXi (1 yr) Chan In Impedance IEEE /5520+S6
  1.049  JMPL         DC_GAIN_ACC_CH4

  1.050  LABEL        EXT_INPUT_IMPEDANCE
  1.051  MATH         @Chan = 5
  1.052  CALL         Sub LeCroy WRXi (1 yr) Ext In Impedance IEEE /5520+S6
  1.053  JMPL         CHANNEL_INPUT_IMPEDANCE_CH1

  1.054  LABEL        CHANNAL_LEAKAGE_CURRENT
  1.055  MATH         @Chan = 1
  1.056  CALL         Sub LeCroy WRXi (1 yr) Chan Leakage Current IEEE /DMM
  1.057  MATH         @Chan = 2
  1.058  CALL         Sub LeCroy WRXi (1 yr) Chan Leakage Current IEEE /DMM
  1.059  MATH         @Chan = 3
  1.060  CALL         Sub LeCroy WRXi (1 yr) Chan Leakage Current IEEE /DMM
  1.061  MATH         @Chan = 4
  1.062  CALL         Sub LeCroy WRXi (1 yr) Chan Leakage Current IEEE /DMM

  1.063  MATH         @Chan = 5
  1.064  CALL         Sub LeCroy WRXi (1 yr) Ext Leakage Current IEEE /DMM
  1.065  JMPL         EXT_INPUT_IMPEDANCE

  1.066  LABEL        PEAK_PEAK_NOISE_LEVEL
  1.067  MATH         @Chan = 1
  1.068  CALL         Sub LeCroy WRXi (1 yr) Peak-Peak Noise Level IEEE
  1.069  MATH         @Chan = 2
  1.070  CALL         Sub LeCroy WRXi (1 yr) Peak-Peak Noise Level IEEE
  1.071  MATH         @Chan = 3
  1.072  CALL         Sub LeCroy WRXi (1 yr) Peak-Peak Noise Level IEEE
  1.073  MATH         @Chan = 4
  1.074  CALL         Sub LeCroy WRXi (1 yr) Peak-Peak Noise Level IEEE
  1.075  JMPL         CHANNAL_LEAKAGE_CURRENT

  1.076  LABEL        DC_GAIN_ACC_CH1
  1.077  MATH         @Chan = 1
  1.078  CALL         Sub LeCroy WRXi (1 yr) DC Gain Acc IEEE /5520+S6
  1.079  JMPL         OFFSET_ACC_CH1

  1.080  LABEL        DC_GAIN_ACC_CH2
  1.081  MATH         @Chan = 2
  1.082  CALL         Sub LeCroy WRXi (1 yr) DC Gain Acc IEEE /5520+S6
  1.083  JMPL         OFFSET_ACC_CH2

  1.084  LABEL        DC_GAIN_ACC_CH3
  1.085  MATH         @Chan = 3
  1.086  CALL         Sub LeCroy WRXi (1 yr) DC Gain Acc IEEE /5520+S6
  1.087  JMPL         OFFSET_ACC_CH3

  1.088  LABEL        DC_GAIN_ACC_CH4
  1.089  MATH         @Chan = 4
  1.090  CALL         Sub LeCroy WRXi (1 yr) DC Gain Acc IEEE /5520+S6
  1.091  JMPL         OFFSET_ACC_CH4

  1.092  LABEL        OFFSET_ACC_CH1
  1.093  MATH         @Chan = 1
  1.094  CALL         Sub LeCroy WRXi (1 yr) Offset Acc IEEE /5520+S6
  1.095  JMPL         BANDWIDTH_CH1

  1.096  LABEL        OFFSET_ACC_CH2
  1.097  MATH         @Chan = 2
  1.098  CALL         Sub LeCroy WRXi (1 yr) Offset Acc IEEE /5520+S6
  1.099  JMPL         BANDWIDTH_CH2

  1.100  LABEL        OFFSET_ACC_CH3
  1.101  MATH         @Chan = 3
  1.102  CALL         Sub LeCroy WRXi (1 yr) Offset Acc IEEE /5520+S6
  1.103  JMPL         BANDWIDTH_CH3

  1.104  LABEL        OFFSET_ACC_CH4
  1.105  MATH         @Chan = 4
  1.106  CALL         Sub LeCroy WRXi (1 yr) Offset Acc IEEE /5520+S6
  1.107  JMPL         BANDWIDTH_CH4

  1.108  LABEL        BANDWIDTH_CH1
  1.109  MATH         @Chan = 1
  1.110  CALL         Sub LeCroy WRXi (1 yr) Bandwidth IEEE /5520+G1
  1.111  JMPL         TRIGGER_LEVEL_CH1

  1.112  LABEL        BANDWIDTH_CH2
  1.113  MATH         @Chan = 2
  1.114  CALL         Sub LeCroy WRXi (1 yr) Bandwidth IEEE /5520+G1
  1.115  JMPL         TRIGGER_LEVEL_CH2

  1.116  LABEL        BANDWIDTH_CH3
  1.117  MATH         @Chan = 3
  1.118  CALL         Sub LeCroy WRXi (1 yr) Bandwidth IEEE /5520+G1
  1.119  JMPL         TRIGGER_LEVEL_CH3

  1.120  LABEL        BANDWIDTH_CH4
  1.121  MATH         @Chan = 4
  1.122  CALL         Sub LeCroy WRXi (1 yr) Bandwidth IEEE /5520+G1
  1.123  JMPL         TRIGGER_LEVEL_CH4

  1.124  LABEL        TRIGGER_LEVEL_CH1
  1.125  MATH         @Chan = 1
  1.126  CALL         Sub LeCroy WRXi (1 yr) Trigger Level IEEE /5520+S6
  1.127  JMPL         TIME_BASE

  1.128  LABEL        TRIGGER_LEVEL_CH2
  1.129  MATH         @Chan = 2
  1.130  CALL         Sub LeCroy WRXi (1 yr) Trigger Level IEEE /5520+S6
  1.131  JMPL         CHANNEL_INPUT_IMPEDANCE_CH3

  1.132  LABEL        TRIGGER_LEVEL_CH3
  1.133  MATH         @Chan = 3
  1.134  CALL         Sub LeCroy WRXi (1 yr) Trigger Level IEEE /5520+S6
  1.135  JMPL         CHANNEL_INPUT_IMPEDANCE_CH4

  1.136  LABEL        TRIGGER_LEVEL_CH4
  1.137  MATH         @Chan = 4
  1.138  CALL         Sub LeCroy WRXi (1 yr) Trigger Level IEEE /5520+S6
  1.139  JMPL         END

  1.140  LABEL        TIME_BASE
  1.141  MATH         @Chan = 1
  1.142  CALL         Sub LeCroy WRXi (1 yr) Time Base Acc IEEE /5520+S6
  1.143  JMPL         CHANNEL_INPUT_IMPEDANCE_CH2

  1.144  LABEL        END
  1.145  DISP         V E R I F I C A T I O N   C O M P L E T E
  1.146  END
